summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'xfce-extra/xfce4-hdaps')
-rw-r--r--xfce-extra/xfce4-hdaps/Manifest1
-rw-r--r--xfce-extra/xfce4-hdaps/metadata.xml8
-rw-r--r--xfce-extra/xfce4-hdaps/xfce4-hdaps-0.0.9.ebuild44
3 files changed, 53 insertions, 0 deletions
diff --git a/xfce-extra/xfce4-hdaps/Manifest b/xfce-extra/xfce4-hdaps/Manifest
new file mode 100644
index 00000000000..01e84005c0f
--- /dev/null
+++ b/xfce-extra/xfce4-hdaps/Manifest
@@ -0,0 +1 @@
+DIST xfce4-hdaps-0.0.9.tar.bz2 304851 SHA256 b3e6bc203127c0def80ef0b98530f97c4496ea9c50798ad43dbd4d3d5bb603cc SHA512 7ee963dacd3e1096fb205fa78c05202925977a4fc88aaa96ba779dc08e32937602fdc83a27457386b2b89847487c5dcc75385f2763201b1613f30eee8124e740 WHIRLPOOL 1a76066ce7a014f221ec8dad2fdd98ee16463f5294ccde5d917d8e09825d9a7d794634533c8102944fa28f6fd9890e001aba492c247a0af9994aa6807e4fedb3
diff --git a/xfce-extra/xfce4-hdaps/metadata.xml b/xfce-extra/xfce4-hdaps/metadata.xml
new file mode 100644
index 00000000000..008cf479f61
--- /dev/null
+++ b/xfce-extra/xfce4-hdaps/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>xfce@gentoo.org</email>
+ <name>XFCE Team</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/xfce-extra/xfce4-hdaps/xfce4-hdaps-0.0.9.ebuild b/xfce-extra/xfce4-hdaps/xfce4-hdaps-0.0.9.ebuild
new file mode 100644
index 00000000000..a26b725665c
--- /dev/null
+++ b/xfce-extra/xfce4-hdaps/xfce4-hdaps-0.0.9.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit linux-info xfconf
+
+DESCRIPTION="A plugin to indicate the status of the IBM Hard Drive Active Protection System"
+HOMEPAGE="http://michael.orlitzky.com/code/xfce4-hdaps.php"
+SRC_URI="http://michael.orlitzky.com/code/releases/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="debug"
+
+COMMON_DEPEND=">=x11-libs/gtk+-2.20:2
+ x11-libs/libX11
+ >=xfce-base/libxfce4ui-4.8
+ >=xfce-base/libxfce4util-4.8
+ >=xfce-base/xfce4-panel-4.8"
+RDEPEND="${COMMON_DEPEND}
+ >=app-laptop/hdapsd-20090101
+ >=app-laptop/tp_smapi-0.39"
+DEPEND="${COMMON_DEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+pkg_setup() {
+ XFCONF=(
+ $(xfconf_use_debug)
+ )
+
+ DOCS=( AUTHORS ChangeLog README TODO )
+
+ linux-info_pkg_setup
+
+ if kernel_is lt 2 6 28; then
+ echo
+ ewarn "Unsupported kernel detected. Upgrade to 2.6.28 or above."
+ echo
+ fi
+}